

<section class="height-100vh">
    <div class="display-table">
        <div class="display-table-cell">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-5">
                        <div class="card account-card">
                            <div class="card-body">
                                <div class="text-center mt-3">
                                    <h3 class="font-weight-bold"><a href="#" class="text-dark text-uppercase account-pages-logo"><i class="mdi mdi-alien"></i>Citystars</a></h3>
                                    <p class="text-muted">Sign in to continue to Citystars.</p>
                                </div>
                                <div class="p-3">
                      
                                    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                                        <div class="form-group">
                                            <label for="email">Email</label>
                                            <input type="text"  placeholder="Enter email" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                                            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                                <div *ngIf="f.email.errors.required">Email is required</div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="password">Password</label>
                                            <input type="password" placeholder="Enter password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                                            <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                                <div *ngIf="f.password.errors.required">Password is required</div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            
                                            <div class="mt-3">
                                                <button type="submit" class="btn btn-primary btn-block">Log In</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- end card -->
                    </div>
                    <!-- end col -->
                </div>
                <!-- end row -->
            </div>
        </div>
    </div>
  </section>